#include <stdio.h>

typedef unsigned int uint;

void out(uint i) {
    write(1, &i, 4);
}

void outd(double i) {
    write(1, &i, 8);
}

void outv(uint i, double d) {
    out(i);
    outd(d);
}

int main() {
    out(0xcafebabe);
    out(332);

#if 1
    int t, n, a, i;
    double v;

    scanf("%d",&n);
    out(n);
    while (scanf("%d",&t) == 1) {
        out(t);
        scanf("%d",&n);
        out(n);
        for (i = 0; i < n; i++) {
            scanf("%d%lf",&a,&v);
            outv(a,v);
        }
    }
#else
    out(1001);

    out(0);
    out(2);

    // port[0x3e80] = 1001;
    outv(0x3e80, 1001.0);

    // port[3] = -2466.48601221271;
    outv(3, -2466.48601221271);

    out(18875);
    out(1);

    // port[3] = 1482.93557103726 * (1-0.6246799195);
    outv(3, 1482.93557103726 * (1-0.6246799195));

    out(18876);
    out(1);

    // port[3] = 1482.93557103726 * 0.6246799195;
    outv(3, 1482.93557103726 * 0.6246799195);

    out(19780);
    out(0);
#endif

    return 0;
}
