#include "util.h"

#include <glog/logging.h>

bool isClockwise(double x0, double y0, double x1, double y1) {
    double dx = x1 - x0;
    double dy = y1 - y0;
    double dr = normalize(atan2(y1, x1) - atan2(dy, dx));
    LOG(INFO) << POS(x0, y0) << " - " << POS(x1, y1) << " "
              << POS(dx, dy) << " dr=" << dr;
    return dr < 0;
}
