#ifndef VM_H_
#define VM_H_

class VM {
public:
    virtual void setInput(int addr, double value) = 0;
    virtual double* getOutput() = 0;
    virtual void step() = 0;
    virtual ~VM() {}
};

VM* createVM(const char* file);

#endif
