#include <stdio.h>

class OSF {
public:
    explicit OSF(int scenario) {
        char buf[256];
        sprintf(buf, "%d.osf", scenario);
        fp = fopen(buf, "wb");
        out(0xcafebabe);
        out(332);
        out(scenario);

        out(0);
        out(1);
        outv(0x3e80, scenario);
    }

    ~OSF() {
        fclose(fp);
    }

    void out(uint i) {
        fwrite(&i, 4, 1, fp);
    }

    void outd(double i) {
        fwrite(&i, 8, 1, fp);
    }

    void outv(uint i, double d) {
        out(i);
        outd(d);
    }

private:
    FILE* fp;
};
